import request from '@/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/blade-transport/credit-score-quantification/list',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    },
  });
};

export const getDetail = id => {
  return request({
    url: '/blade-transport/credit-score-quantification/detail',
    method: 'get',
    params: {
      id,
    },
  });
};

export const submit = row => {
  return request({
    url: '/blade-transport/credit-score-quantification/submit',
    method: 'post',
    data: row,
  });
};

export const remove = ids => {
  return request({
    url: '/blade-transport/credit-score-quantification/remove',
    method: 'post',
    params: {
      ids,
    },
  });
};

export const publish = id => {
  return request({
    url: '/blade-transport/credit-score-quantification/publish',
    method: 'post',
    params: {
      id,
    },
  });
};

export const changeStatus = (id, status) => {
  return request({
    url: '/blade-transport/credit-score-quantification/status',
    method: 'post',
    params: {
      id,
      status,
    },
  });
};
